# coding: utf-8

__author__ = 'Andrey Torsunov'
__contact__ = 'torsunov@bars-open.com'
__docformat__ = 'restructuredtext'

from django.db import models
from django.utils import unittest

from datalogging.fields.json import JSONField


class TestModel(models.Model):
    t = models.TextField()


class JsonFieldTest(unittest.TestCase):

    def testCharFieldCreate(self):
        jf = JSONField()
        self.assertEqual(jf.get_db_prep_value({}), u'{}')
        self.assertEqual(jf.get_db_prep_save({}), u'')
        r = jf.get_db_prep_save({"z": 1})
        self.assertEqual(jf.to_python(r), {"z": 1})

    def testModelValue(self):
        jf = JSONField()
        text = "At The End Of The Rainbow"
        dm = TestModel(t=text)
        r = jf.get_db_prep_save(dm)
        r = jf.to_python(r)
        self.assertIsInstance(r, dict)
        self.assertEqual(r['t'], text)

